<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/scrollView1"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_color_white"
    android:padding="7dp"
    android:scrollbars="none">

    <!-- RelativeLayout -->

    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/background_color_white"
        android:paddingBottom="@dimen/activity_vertical_margin"
        android:paddingLeft="@dimen/activity_horizontal_margin"
        android:paddingRight="@dimen/activity_horizontal_margin"


        android:paddingTop="@dimen/activity_vertical_margin"
        tools:context="oko.tm.oko_pro_classic.MainActivity">



        <ImageButton
            android:id="@+id/imageButton_Query"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:adjustViewBounds="true"
            android:background="@color/background_color_white"
            android:src="@drawable/query"
            android:visibility="visible" />


        <!--
            android:layout_alignParentTop="true"
            android:layout_centerHorizontal="true"
            -->
        <ImageButton
            android:id="@+id/imageButton_ON"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/imageButton_Query"
            android:layout_marginLeft="@dimen/margin_icon_icon"

            android:layout_toRightOf="@+id/imageButton_Query"
            android:background="@color/background_color_white"
            android:src="@drawable/alarm_on"

            android:visibility="visible" />

        <!--
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            android:layout_alignParentEnd="true"
            -->

        <ImageButton
            android:id="@+id/imageButton_OFF"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/imageButton_ON"
            android:layout_marginLeft="@dimen/margin_icon_icon"
            android:layout_toRightOf="@+id/imageButton_ON"


            android:background="@color/background_color_white"
            android:src="@drawable/alarm_off"
            android:visibility="visible"


            />


        <!--   <TextView
               android:layout_width="fill_parent"
               android:layout_height="wrap_content"
               android:text=" "
               android:id="@+id/textView_space2"
               android:layout_below="@+id/imageButton_Query"
               android:layout_alignParentLeft="true" />
-->

        <!--
android:layout_below="@+id/imageButton_Query"
android:layout_marginTop="@dimen/margin_button_icon"

            android:layout_alignParentTop="true"
            android:layout_alignParentStart="true"
-->
        <ImageView

            android:id="@+id/imageView_power_on"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/imageButton_Query"
            android:layout_marginTop="@dimen/margin_button_icon"


            android:src="@drawable/power_on"
            android:visibility="invisible" />


        <ImageView
            android:id="@+id/imageView_power_off"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_power_on"
            android:layout_alignTop="@+id/imageView_power_on"
            android:src="@drawable/power_off"
            android:visibility="invisible" />

        <ImageView
            android:id="@+id/imageView_power_"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_power_on"
            android:layout_alignTop="@+id/imageView_power_on"
            android:src="@drawable/vopros"
            android:visibility="visible" />

        <ImageView
            android:id="@+id/imageView_arm_on"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/imageView_power_on"
            android:layout_marginLeft="@dimen/margin_icon_icon"
            android:layout_toRightOf="@+id/imageView_power_on"
            android:focusableInTouchMode="false"
            android:src="@drawable/shit_on"
            android:visibility="invisible" />


        <ImageView
            android:id="@+id/imageView_arm_off"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_arm_on"
            android:layout_alignTop="@+id/imageView_arm_on"
            android:src="@drawable/shit_off"
            android:visibility="invisible" />

        <ImageView
            android:id="@+id/imageView_arm_"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_arm_on"
            android:layout_alignTop="@+id/imageView_arm_on"
            android:src="@drawable/vopros"
            android:visibility="visible" />

        <ImageView
            android:id="@+id/imageView_input_norma"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/imageView_arm_on"
            android:layout_marginLeft="@dimen/margin_icon_icon"
            android:layout_toRightOf="@+id/imageView_arm_on"
            android:src="@drawable/dver_ok"
            android:visibility="invisible" />

        <ImageView
            android:id="@+id/imageView_input_trevoga"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_input_norma"
            android:layout_alignTop="@+id/imageView_input_norma"
            android:src="@drawable/dver_no"
            android:visibility="invisible" />


        <ImageView
            android:id="@+id/imageView_input_"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_input_norma"
            android:layout_alignTop="@+id/imageView_input_norma"
            android:src="@drawable/vopros"
            android:visibility="visible" />

        <ImageView
            android:id="@+id/imageView_GSM_high"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/imageView_input_norma"
            android:layout_marginLeft="@dimen/margin_icon_icon"
            android:layout_toRightOf="@+id/imageView_input_norma"
            android:src="@drawable/gsm_high"
            android:visibility="invisible" />

        <ImageView
            android:id="@+id/imageView_GSM_medium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_GSM_high"
            android:layout_alignTop="@+id/imageView_GSM_high"
            android:src="@drawable/gsm_medium"
            android:visibility="invisible" />

        <ImageView
            android:id="@+id/imageView_GSM_low"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_GSM_high"
            android:layout_alignTop="@+id/imageView_GSM_high"
            android:src="@drawable/gsm_low"
            android:visibility="invisible" />

        <ImageView
            android:id="@+id/imageView_GSM_"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/imageView_GSM_high"
            android:layout_alignTop="@+id/imageView_GSM_high"
            android:src="@drawable/vopros"
            android:visibility="visible" />
        <!--
        <Button
            android:id="@+id/btn_arm"
            android:text="@string/state_arm"
            android:layout_below="@+id/imageView_power_on"

            style="@style/ButtonText"

            />
-->
        <TextView
            android:id="@+id/textView_arm"
            style="@style/TextViewText"
            android:layout_below="@+id/imageView_power_on"
            android:layout_marginTop="8dp"
            android:text="@string/state_arm" />

        <!--

        <Button android:text="Button" android:id="@+id/button1" android:background="@drawable/btn_red" style="@style/ButtonText"></Button>
-->

        <!--
        <Button
            android:id="@+id/btn_query"
            android:text="@string/update_time"
            android:layout_below="@+id/btn_arm"

            style="@style/ButtonText"
            />
-->

        <TextView
            android:id="@+id/textView_query"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_arm"
            android:text="@string/update_time"

            />

        <!--
        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="@string/update_time"
            android:id="@+id/textView_query"
            android:layout_marginTop="8dp"
            android:layout_below="@+id/imageView_power_on"
            android:layout_alignParentLeft="true" />
-->

        <TextView
            android:id="@+id/textView_power"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_query"
            android:text="@string/state_220v" />
        <!--
        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="@string/state_arm"
            android:id="@+id/textView_arm"
            android:layout_below="@+id/textView_power"
            android:layout_alignParentLeft="true" />
-->
        <TextView
            android:id="@+id/textView_gsm"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_power"
            android:text="@string/gsm_level" />

        <TextView
            android:id="@+id/textView_in"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_gsm"
            android:text="@string/wire_sensors" />

        <TextView
            android:id="@+id/textView_tamper"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_in"
            android:text="@string/state_tamper" />

        <TextView
            android:id="@+id/textView_input1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_tamper"
            android:text="@string/state_input1" />

        <TextView
            android:id="@+id/textView_input2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input1"
            android:text="@string/state_input2" />

        <TextView
            android:id="@+id/textView_input3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input2"
            android:text="@string/state_input3" />

        <TextView
            android:id="@+id/textView_input4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input3"
            android:text="@string/state_input4" />

        <TextView
            android:id="@+id/textView_input5"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input4"
            android:text="@string/state_input5" />

        <TextView
            android:id="@+id/textView_input6"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input5"
            android:text="@string/state_input6" />

        <TextView
            android:id="@+id/textView_input7"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input6"
            android:text="@string/state_input7" />

        <TextView
            android:id="@+id/textView_input8"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input7"
            android:text="@string/state_input8" />

        <TextView
            android:id="@+id/textView_input1_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input8"
            android:text="@string/state_input1_ext0" />

        <TextView
            android:id="@+id/textView_input2_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input1_ext0"
            android:text="@string/state_input2_ext0" />

        <TextView
            android:id="@+id/textView_input3_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input2_ext0"
            android:text="@string/state_input3_ext0" />

        <TextView
            android:id="@+id/textView_input4_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input3_ext0"
            android:text="@string/state_input4_ext0" />

        <TextView
            android:id="@+id/textView_input5_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input4_ext0"
            android:text="@string/state_input5_ext0" />

        <TextView
            android:id="@+id/textView_input6_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input5_ext0"
            android:text="@string/state_input6_ext0" />

        <TextView
            android:id="@+id/textView_input7_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input6_ext0"
            android:text="@string/state_input7_ext0" />

        <TextView
            android:id="@+id/textView_input8_ext0"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input7_ext0"
            android:text="@string/state_input8_ext0" />


        <TextView
            android:id="@+id/textView_input1_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input8_ext0"
            android:text="@string/state_input1_ext1" />

        <TextView
            android:id="@+id/textView_input2_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input1_ext1"
            android:text="@string/state_input2_ext1" />

        <TextView
            android:id="@+id/textView_input3_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input2_ext1"
            android:text="@string/state_input3_ext1" />

        <TextView
            android:id="@+id/textView_input4_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input3_ext1"
            android:text="@string/state_input4_ext1" />

        <TextView
            android:id="@+id/textView_input5_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input4_ext1"
            android:text="@string/state_input5_ext1" />

        <TextView
            android:id="@+id/textView_input6_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input5_ext1"
            android:text="@string/state_input6_ext1" />

        <TextView
            android:id="@+id/textView_input7_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input6_ext1"
            android:text="@string/state_input7_ext1" />

        <TextView
            android:id="@+id/textView_input8_ext1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input7_ext1"
            android:text="@string/state_input8_ext1" />


        <TextView
            android:id="@+id/textView_input1_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input8_ext1"
            android:text="@string/state_input1_ext2" />

        <TextView
            android:id="@+id/textView_input2_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input1_ext2"
            android:text="@string/state_input2_ext2" />

        <TextView
            android:id="@+id/textView_input3_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input2_ext2"
            android:text="@string/state_input3_ext2" />

        <TextView
            android:id="@+id/textView_input4_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input3_ext2"
            android:text="@string/state_input4_ext2" />

        <TextView
            android:id="@+id/textView_input5_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input4_ext2"
            android:text="@string/state_input5_ext2" />

        <TextView
            android:id="@+id/textView_input6_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input5_ext2"
            android:text="@string/state_input6_ext2" />

        <TextView
            android:id="@+id/textView_input7_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input6_ext2"
            android:text="@string/state_input7_ext2" />

        <TextView
            android:id="@+id/textView_input8_ext2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input7_ext2"
            android:text="@string/state_input8_ext2" />


        <TextView
            android:id="@+id/textView_input1_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input8_ext2"
            android:text="@string/state_input1_ext3" />

        <TextView
            android:id="@+id/textView_input2_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input1_ext3"
            android:text="@string/state_input2_ext3" />

        <TextView
            android:id="@+id/textView_input3_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input2_ext3"
            android:text="@string/state_input3_ext3" />

        <TextView
            android:id="@+id/textView_input4_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input3_ext3"
            android:text="@string/state_input4_ext3" />

        <TextView
            android:id="@+id/textView_input5_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input4_ext3"
            android:text="@string/state_input5_ext3" />

        <TextView
            android:id="@+id/textView_input6_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input5_ext3"
            android:text="@string/state_input6_ext3" />

        <TextView
            android:id="@+id/textView_input7_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input6_ext3"
            android:text="@string/state_input7_ext3" />

        <TextView
            android:id="@+id/textView_input8_ext3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input7_ext3"
            android:text="@string/state_input8_ext3" />


        <TextView
            android:id="@+id/textView_input1_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input8_ext3"
            android:text="@string/state_input1_ext4" />

        <TextView
            android:id="@+id/textView_input2_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input1_ext4"
            android:text="@string/state_input2_ext4" />

        <TextView
            android:id="@+id/textView_input3_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input2_ext4"
            android:text="@string/state_input3_ext4" />

        <TextView
            android:id="@+id/textView_input4_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input3_ext4"
            android:text="@string/state_input4_ext4" />

        <TextView
            android:id="@+id/textView_input5_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input4_ext4"
            android:text="@string/state_input5_ext4" />

        <TextView
            android:id="@+id/textView_input6_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input5_ext4"
            android:text="@string/state_input6_ext4" />

        <TextView
            android:id="@+id/textView_input7_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input6_ext4"
            android:text="@string/state_input7_ext4" />

        <TextView
            android:id="@+id/textView_input8_ext4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input7_ext4"
            android:text="@string/state_input8_ext4" />

        <TextView
            android:id="@+id/textView_out"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_input8_ext4"
            android:text="@string/user_outputs" />
        <!--
        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="@string/state_output1"
            android:id="@+id/textView_output1"
            android:layout_below="@+id/textView_out"
            android:layout_alignParentLeft="true" />
-->
        <Button
            android:id="@+id/btn_output1"
            style="@style/ButtonText"

            android:layout_below="@+id/textView_out"
            android:background="@drawable/btn_grey"
            android:text="@string/state_output1" />
        <!--
        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="@string/state_output2"
            android:id="@+id/textView_output2"
            android:layout_below="@+id/btn_output1"
            android:layout_alignParentLeft="true" />
-->
        <Button
            android:id="@+id/btn_output2"
            style="@style/ButtonText"

            android:layout_below="@+id/btn_output1"
            android:text="@string/state_output2"

            />


        <!-- android:minHeight="0dp"
android:background="@drawable/buttonshape"
        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:text="@string/state_output3"
            android:id="@+id/textView_output3"
            android:layout_below="@+id/textView_output2"
            android:layout_alignParentLeft="true" />
-->
        <Button
            android:id="@+id/btn_output3"
            style="@style/ButtonText"

            android:layout_below="@+id/btn_output2"
            android:text="@string/state_output3" />

        <Button
            android:id="@+id/btn_output4"
            style="@style/ButtonText"

            android:layout_below="@+id/btn_output3"
            android:text="@string/state_output4" />

        <Button
            android:id="@+id/btn_output5"
            style="@style/ButtonText"

            android:layout_below="@+id/btn_output4"
            android:text="@string/state_output5" />

        <Button
            android:id="@+id/btn_output6"
            style="@style/ButtonText"

            android:layout_below="@+id/btn_output5"
            android:text="@string/state_output6" />

        <Button
            android:id="@+id/btn_output7"
            style="@style/ButtonText"

            android:layout_below="@+id/btn_output6"
            android:text="@string/state_output7" />


        <Button
            android:id="@+id/btn_output8"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output7"
            android:text="@string/state_output8" />

        <Button
            android:id="@+id/btn_output1_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output8"
            android:text="@string/state_output1_ext0" />

        <Button
            android:id="@+id/btn_output2_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output1_ext0"
            android:text="@string/state_output2_ext0" />

        <Button
            android:id="@+id/btn_output3_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output2_ext0"
            android:text="@string/state_output3_ext0" />

        <Button
            android:id="@+id/btn_output4_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output3_ext0"
            android:text="@string/state_output4_ext0" />

        <Button
            android:id="@+id/btn_output5_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output4_ext0"
            android:text="@string/state_output5_ext0" />

        <Button
            android:id="@+id/btn_output6_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output5_ext0"
            android:text="@string/state_output6_ext0" />

        <Button
            android:id="@+id/btn_output7_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output6_ext0"
            android:text="@string/state_output7_ext0" />

        <Button
            android:id="@+id/btn_output8_ext0"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output7_ext0"
            android:text="@string/state_output8_ext0" />


        <Button
            android:id="@+id/btn_output1_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output8_ext0"
            android:text="@string/state_output1_ext1" />

        <Button
            android:id="@+id/btn_output2_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output1_ext1"
            android:text="@string/state_output2_ext1" />

        <Button
            android:id="@+id/btn_output3_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output2_ext1"
            android:text="@string/state_output3_ext1" />

        <Button
            android:id="@+id/btn_output4_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output3_ext1"
            android:text="@string/state_output4_ext1" />

        <Button
            android:id="@+id/btn_output5_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output4_ext1"
            android:text="@string/state_output5_ext1" />

        <Button
            android:id="@+id/btn_output6_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output5_ext1"
            android:text="@string/state_output6_ext1" />

        <Button
            android:id="@+id/btn_output7_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output6_ext1"
            android:text="@string/state_output7_ext1" />

        <Button
            android:id="@+id/btn_output8_ext1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output7_ext1"
            android:text="@string/state_output8_ext1" />

        <Button
            android:id="@+id/btn_output1_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output8_ext1"
            android:text="@string/state_output1_ext2" />

        <Button
            android:id="@+id/btn_output2_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output1_ext2"
            android:text="@string/state_output2_ext2" />

        <Button
            android:id="@+id/btn_output3_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output2_ext2"
            android:text="@string/state_output3_ext2" />

        <Button
            android:id="@+id/btn_output4_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output3_ext2"
            android:text="@string/state_output4_ext2" />

        <Button
            android:id="@+id/btn_output5_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output4_ext2"
            android:text="@string/state_output5_ext2" />

        <Button
            android:id="@+id/btn_output6_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output5_ext2"
            android:text="@string/state_output6_ext2" />

        <Button
            android:id="@+id/btn_output7_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output6_ext2"
            android:text="@string/state_output7_ext2" />

        <Button
            android:id="@+id/btn_output8_ext2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output7_ext2"
            android:text="@string/state_output8_ext2" />

        <Button
            android:id="@+id/btn_output1_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output8_ext2"
            android:text="@string/state_output1_ext3" />

        <Button
            android:id="@+id/btn_output2_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output1_ext3"
            android:text="@string/state_output2_ext3" />

        <Button
            android:id="@+id/btn_output3_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output2_ext3"
            android:text="@string/state_output3_ext3" />

        <Button
            android:id="@+id/btn_output4_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output3_ext3"
            android:text="@string/state_output4_ext3" />

        <Button
            android:id="@+id/btn_output5_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output4_ext3"
            android:text="@string/state_output5_ext3" />

        <Button
            android:id="@+id/btn_output6_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output5_ext3"
            android:text="@string/state_output6_ext3" />

        <Button
            android:id="@+id/btn_output7_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output6_ext3"
            android:text="@string/state_output7_ext3" />

        <Button
            android:id="@+id/btn_output8_ext3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output7_ext3"
            android:text="@string/state_output8_ext3" />

        <Button
            android:id="@+id/btn_output1_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output8_ext3"
            android:text="@string/state_output1_ext4" />

        <Button
            android:id="@+id/btn_output2_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output1_ext4"
            android:text="@string/state_output2_ext4" />

        <Button
            android:id="@+id/btn_output3_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output2_ext4"
            android:text="@string/state_output3_ext4" />

        <Button
            android:id="@+id/btn_output4_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output3_ext4"
            android:text="@string/state_output4_ext4" />

        <Button
            android:id="@+id/btn_output5_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output4_ext4"
            android:text="@string/state_output5_ext4" />

        <Button
            android:id="@+id/btn_output6_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output5_ext4"
            android:text="@string/state_output6_ext4" />

        <Button
            android:id="@+id/btn_output7_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output6_ext4"
            android:text="@string/state_output7_ext4" />

        <Button
            android:id="@+id/btn_output8_ext4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output7_ext4"
            android:text="@string/state_output8_ext4" />


        <Button
            android:id="@+id/btn_socket1_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_output8_ext4"
            android:text="@string/state_socket1_blk1" />

        <Button
            android:id="@+id/btn_socket2_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket1_blk1"
            android:text="@string/state_socket2_blk1" />

        <Button
            android:id="@+id/btn_socket3_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket2_blk1"
            android:text="@string/state_socket3_blk1" />

        <Button
            android:id="@+id/btn_socket4_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket3_blk1"
            android:text="@string/state_socket4_blk1" />

        <Button
            android:id="@+id/btn_socket5_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket4_blk1"
            android:text="@string/state_socket5_blk1" />

        <Button
            android:id="@+id/btn_socket6_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket5_blk1"
            android:text="@string/state_socket6_blk1" />

        <Button
            android:id="@+id/btn_socket7_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket6_blk1"
            android:text="@string/state_socket7_blk1" />

        <Button
            android:id="@+id/btn_socket8_blk1"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket7_blk1"
            android:text="@string/state_socket8_blk1" />

        <Button
            android:id="@+id/btn_socket1_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket8_blk1"
            android:text="@string/state_socket1_blk2" />

        <Button
            android:id="@+id/btn_socket2_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket1_blk2"
            android:text="@string/state_socket2_blk2" />

        <Button
            android:id="@+id/btn_socket3_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket2_blk2"
            android:text="@string/state_socket3_blk2" />

        <Button
            android:id="@+id/btn_socket4_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket3_blk2"
            android:text="@string/state_socket4_blk2" />

        <Button
            android:id="@+id/btn_socket5_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket4_blk2"
            android:text="@string/state_socket5_blk2" />

        <Button
            android:id="@+id/btn_socket6_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket5_blk2"
            android:text="@string/state_socket6_blk2" />

        <Button
            android:id="@+id/btn_socket7_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket6_blk2"
            android:text="@string/state_socket7_blk2" />

        <Button
            android:id="@+id/btn_socket8_blk2"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket7_blk2"
            android:text="@string/state_socket8_blk2" />

        <Button
            android:id="@+id/btn_socket1_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket8_blk2"
            android:text="@string/state_socket1_blk3" />

        <Button
            android:id="@+id/btn_socket2_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket1_blk3"
            android:text="@string/state_socket2_blk3" />

        <Button
            android:id="@+id/btn_socket3_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket2_blk3"
            android:text="@string/state_socket3_blk3" />

        <Button
            android:id="@+id/btn_socket4_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket3_blk3"
            android:text="@string/state_socket4_blk3" />

        <Button
            android:id="@+id/btn_socket5_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket4_blk3"
            android:text="@string/state_socket5_blk3" />

        <Button
            android:id="@+id/btn_socket6_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket5_blk3"
            android:text="@string/state_socket6_blk3" />

        <Button
            android:id="@+id/btn_socket7_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket6_blk3"
            android:text="@string/state_socket7_blk3" />

        <Button
            android:id="@+id/btn_socket8_blk3"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket7_blk3"
            android:text="@string/state_socket8_blk3" />

        <Button
            android:id="@+id/btn_socket1_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket8_blk3"
            android:text="@string/state_socket1_blk4" />

        <Button
            android:id="@+id/btn_socket2_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket1_blk4"
            android:text="@string/state_socket2_blk4" />

        <Button
            android:id="@+id/btn_socket3_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket2_blk4"
            android:text="@string/state_socket3_blk4" />

        <Button
            android:id="@+id/btn_socket4_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket3_blk4"
            android:text="@string/state_socket4_blk4" />

        <Button
            android:id="@+id/btn_socket5_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket4_blk4"
            android:text="@string/state_socket5_blk4" />

        <Button
            android:id="@+id/btn_socket6_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket5_blk4"
            android:text="@string/state_socket6_blk4" />

        <Button
            android:id="@+id/btn_socket7_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket6_blk4"
            android:text="@string/state_socket7_blk4" />

        <Button
            android:id="@+id/btn_socket8_blk4"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_socket7_blk4"
            android:text="@string/state_socket8_blk4" />


        <TextView
            android:id="@+id/textView_wr"
            style="@style/TextViewText"
            android:layout_below="@+id/btn_socket8_blk4"
            android:text="@string/wireless_sensors" />

        <TextView
            android:id="@+id/textView_radio1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_wr"
            android:text="@string/state_radio1" />

        <TextView
            android:id="@+id/textView_radio2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio1"
            android:text="@string/state_radio2" />

        <TextView
            android:id="@+id/textView_radio3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio2"
            android:text="@string/state_radio3" />

        <TextView
            android:id="@+id/textView_radio4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio3"
            android:text="@string/state_radio4" />

        <TextView
            android:id="@+id/textView_radio5"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio4"
            android:text="@string/state_radio5" />

        <TextView
            android:id="@+id/textView_radio6"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio5"
            android:text="@string/state_radio6" />

        <TextView
            android:id="@+id/textView_radio7"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio6"
            android:text="@string/state_radio7" />

        <TextView
            android:id="@+id/textView_radio8"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio7"
            android:text="@string/state_radio8" />

        <TextView
            android:id="@+id/textView_radio9"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio8"
            android:text="@string/state_radio9" />

        <TextView
            android:id="@+id/textView_radio10"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio9"
            android:text="@string/state_radio10" />

        <TextView
            android:id="@+id/textView_radio11"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio10"
            android:text="@string/state_radio11" />

        <TextView
            android:id="@+id/textView_radio12"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio11"
            android:text="@string/state_radio12" />

        <TextView
            android:id="@+id/textView_radio13"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio12"
            android:text="@string/state_radio13" />

        <TextView
            android:id="@+id/textView_radio14"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio13"
            android:text="@string/state_radio14" />

        <TextView
            android:id="@+id/textView_radio15"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio14"
            android:text="@string/state_radio15" />

        <TextView
            android:id="@+id/textView_radio16"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio15"
            android:text="@string/state_radio16" />

        <TextView
            android:id="@+id/textView_t"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_radio16"
            android:text="@string/adress_sensors" />


        <TextView
            android:id="@+id/textView_termo1"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_t"
            android:text="@string/state_termo1" />

        <TextView
            android:id="@+id/textView_termo2"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo1"
            android:text="@string/state_termo2" />

        <TextView
            android:id="@+id/textView_termo3"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo2"
            android:text="@string/state_termo3" />

        <TextView
            android:id="@+id/textView_termo4"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo3"
            android:text="@string/state_termo4" />

        <TextView
            android:id="@+id/textView_termo5"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo4"
            android:text="@string/state_termo5" />

        <TextView
            android:id="@+id/textView_termo6"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo5"
            android:text="@string/state_termo6" />

        <TextView
            android:id="@+id/textView_termo7"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo6"
            android:text="@string/state_termo7" />

        <TextView
            android:id="@+id/textView_termo8"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo7"
            android:text="@string/state_termo8" />

        <TextView
            android:id="@+id/textView_controller"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_termo8"
            android:text="@string/state_controller" />

        <Spinner
            android:id="@+id/spinner"
            style="@style/TextViewText"
            android:layout_below="@+id/textView_controller"
            android:layout_marginBottom="15dp"
            android:layout_marginTop="10dp"></Spinner>

        <Button
            android:id="@+id/btn_send_command"
            style="@style/ButtonText"

            android:layout_below="@+id/spinner"
            android:text="@string/send_command"></Button>

        <!--
        <CheckBox
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="ВКЛ подтверждение"
            android:id="@+id/checkBox_query"
            android:layout_alignParentLeft="true"
            android:layout_marginTop="5dp"
            android:layout_below="@+id/btn_send_command"
            android:checked="true" />

        <Spinner
            android:id="@+id/spinner_connection"
            android:layout_below="@+id/checkBox_query"
            android:layout_marginTop="5dp"
            style="@style/TextViewText">
        </Spinner>
-->
        <Button
            android:id="@+id/btn_event_log"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_send_command"
            android:text="@string/event_log"></Button>

        <Button
            android:id="@+id/btn_restart_connection"
            style="@style/ButtonText"
            android:layout_below="@+id/btn_event_log"
            android:text="@string/rst_connection"></Button>
<!--
http://www.zoftino.com/android-google-maps-tutorial
http://www.zoftino.com/android-mapview-tutorial

-->
<!--
        <fragment
            android:id="@+id/mapfragment"
            android:layout_width="wrap_content"
            android:layout_height="200dp"

            android:layout_gravity="center_horizontal"
            android:layout_below="@+id/btn_restart_connection"
            class="com.google.android.gms.maps.SupportMapFragment" />
-->
<!--
        <com.google.android.gms.maps.MapView
            android:id="@+id/map_view"
            android:layout_width="wrap_content"
            android:layout_height="300dp"
            android:layout_below="@+id/btn_restart_connection"
            >
        </com.google.android.gms.maps.MapView>
-->
        <!--

        android:autoLink="web"
            android:linksClickable="true"
            android:layout_centerHorizontal="true"
        -->

        <!--
        <TextView
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"

            android:text="@string/manuf"
            android:id="@+id/textView_manuf"
            android:layout_marginTop="10dp"
            android:layout_below="@+id/btn_restart_connection"
            android:layout_alignParentLeft="true"
            android:layout_marginBottom="10dp"
            />

        -->


    </RelativeLayout>

</ScrollView>
